# `protoc_jll.jl` (v26.1.0+0)

[![deps](https://juliahub.com/docs/protoc_jll/deps.svg)](https://juliahub.com/ui/Packages/protoc_jll/yhNLs?page=2)

This is an autogenerated package constructed using [`BinaryBuilder.jl`](https://github.com/JuliaPackaging/BinaryBuilder.jl).

The originating [`build_tarballs.jl`](https://github.com/JuliaPackaging/Yggdrasil/blob/352339fe9bf84553c401fb05c3fb33cf9eccaee6/P/protoc/build_tarballs.jl) script can be found on [`Yggdrasil`](https://github.com/JuliaPackaging/Yggdrasil/), the community build tree.

## Bug Reports

If you have any issue, please report it to the Yggdrasil [bug tracker](https://github.com/JuliaPackaging/Yggdrasil/issues).

## Documentation

For more details about JLL packages and how to use them, see `BinaryBuilder.jl` [documentation](https://docs.binarybuilder.org/stable/jll/).

## Sources

The tarballs for `protoc_jll.jl` have been built from these sources:

* git repository: https://github.com/protocolbuffers/protobuf.git (revision: `2434ef2adf0c74149b9d547ac5fb545a1ff8b6b5`)
* files in directory, relative to originating `build_tarballs.jl`: [`bundled`](https://github.com/JuliaPackaging/Yggdrasil/tree/352339fe9bf84553c401fb05c3fb33cf9eccaee6/P/protoc/bundled)

## Platforms

`protoc_jll.jl` is available for the following platforms:

* `macOS aarch64` (`aarch64-apple-darwin`)
* `Linux aarch64 {cxxstring_abi=cxx03, libc=glibc}` (`aarch64-linux-gnu-cxx03`)
* `Linux aarch64 {cxxstring_abi=cxx11, libc=glibc}` (`aarch64-linux-gnu-cxx11`)
* `Linux aarch64 {cxxstring_abi=cxx03, libc=musl}` (`aarch64-linux-musl-cxx03`)
* `Linux aarch64 {cxxstring_abi=cxx11, libc=musl}` (`aarch64-linux-musl-cxx11`)
* `Linux armv6l {call_abi=eabihf, cxxstring_abi=cxx03, libc=glibc}` (`armv6l-linux-gnueabihf-cxx03`)
* `Linux armv6l {call_abi=eabihf, cxxstring_abi=cxx11, libc=glibc}` (`armv6l-linux-gnueabihf-cxx11`)
* `Linux armv6l {call_abi=eabihf, cxxstring_abi=cxx03, libc=musl}` (`armv6l-linux-musleabihf-cxx03`)
* `Linux armv6l {call_abi=eabihf, cxxstring_abi=cxx11, libc=musl}` (`armv6l-linux-musleabihf-cxx11`)
* `Linux armv7l {call_abi=eabihf, cxxstring_abi=cxx03, libc=glibc}` (`armv7l-linux-gnueabihf-cxx03`)
* `Linux armv7l {call_abi=eabihf, cxxstring_abi=cxx11, libc=glibc}` (`armv7l-linux-gnueabihf-cxx11`)
* `Linux armv7l {call_abi=eabihf, cxxstring_abi=cxx03, libc=musl}` (`armv7l-linux-musleabihf-cxx03`)
* `Linux armv7l {call_abi=eabihf, cxxstring_abi=cxx11, libc=musl}` (`armv7l-linux-musleabihf-cxx11`)
* `Linux i686 {cxxstring_abi=cxx03, libc=glibc}` (`i686-linux-gnu-cxx03`)
* `Linux i686 {cxxstring_abi=cxx11, libc=glibc}` (`i686-linux-gnu-cxx11`)
* `Linux i686 {cxxstring_abi=cxx03, libc=musl}` (`i686-linux-musl-cxx03`)
* `Linux i686 {cxxstring_abi=cxx11, libc=musl}` (`i686-linux-musl-cxx11`)
* `Windows i686 {cxxstring_abi=cxx03}` (`i686-w64-mingw32-cxx03`)
* `Windows i686 {cxxstring_abi=cxx11}` (`i686-w64-mingw32-cxx11`)
* `Linux powerpc64le {cxxstring_abi=cxx03, libc=glibc}` (`powerpc64le-linux-gnu-cxx03`)
* `Linux powerpc64le {cxxstring_abi=cxx11, libc=glibc}` (`powerpc64le-linux-gnu-cxx11`)
* `macOS x86_64` (`x86_64-apple-darwin`)
* `Linux x86_64 {cxxstring_abi=cxx03, libc=glibc}` (`x86_64-linux-gnu-cxx03`)
* `Linux x86_64 {cxxstring_abi=cxx11, libc=glibc}` (`x86_64-linux-gnu-cxx11`)
* `Linux x86_64 {cxxstring_abi=cxx03, libc=musl}` (`x86_64-linux-musl-cxx03`)
* `Linux x86_64 {cxxstring_abi=cxx11, libc=musl}` (`x86_64-linux-musl-cxx11`)
* `FreeBSD x86_64` (`x86_64-unknown-freebsd`)
* `Windows x86_64 {cxxstring_abi=cxx03}` (`x86_64-w64-mingw32-cxx03`)
* `Windows x86_64 {cxxstring_abi=cxx11}` (`x86_64-w64-mingw32-cxx11`)

## Products

The code bindings within this package are autogenerated from the following `Products`:

* `LibraryProduct`: `libabsl_bad_any_cast_impl`
* `LibraryProduct`: `libabsl_bad_optional_access`
* `LibraryProduct`: `libabsl_bad_variant_access`
* `LibraryProduct`: `libabsl_base`
* `LibraryProduct`: `libabsl_city`
* `LibraryProduct`: `libabsl_civil_time`
* `LibraryProduct`: `libabsl_cord`
* `LibraryProduct`: `libabsl_cord_internal`
* `LibraryProduct`: `libabsl_cordz_functions`
* `LibraryProduct`: `libabsl_cordz_handle`
* `LibraryProduct`: `libabsl_cordz_info`
* `LibraryProduct`: `libabsl_cordz_sample_token`
* `LibraryProduct`: `libabsl_crc32c`
* `LibraryProduct`: `libabsl_crc_cord_state`
* `LibraryProduct`: `libabsl_crc_cpu_detect`
* `LibraryProduct`: `libabsl_crc_internal`
* `LibraryProduct`: `libabsl_debugging_internal`
* `LibraryProduct`: `libabsl_demangle_internal`
* `LibraryProduct`: `libabsl_die_if_null`
* `LibraryProduct`: `libabsl_examine_stack`
* `LibraryProduct`: `libabsl_exponential_biased`
* `LibraryProduct`: `libabsl_failure_signal_handler`
* `LibraryProduct`: `libabsl_flags_commandlineflag`
* `LibraryProduct`: `libabsl_flags_commandlineflag_internal`
* `LibraryProduct`: `libabsl_flags_config`
* `LibraryProduct`: `libabsl_flags_internal`
* `LibraryProduct`: `libabsl_flags_marshalling`
* `LibraryProduct`: `libabsl_flags_parse`
* `LibraryProduct`: `libabsl_flags_private_handle_accessor`
* `LibraryProduct`: `libabsl_flags_program_name`
* `LibraryProduct`: `libabsl_flags_reflection`
* `LibraryProduct`: `libabsl_flags_usage`
* `LibraryProduct`: `libabsl_flags_usage_internal`
* `LibraryProduct`: `libabsl_graphcycles_internal`
* `LibraryProduct`: `libabsl_hash`
* `LibraryProduct`: `libabsl_hashtablez_sampler`
* `LibraryProduct`: `libabsl_int128`
* `LibraryProduct`: `libabsl_kernel_timeout_internal`
* `LibraryProduct`: `libabsl_leak_check`
* `LibraryProduct`: `libabsl_log_entry`
* `LibraryProduct`: `libabsl_log_flags`
* `LibraryProduct`: `libabsl_log_globals`
* `LibraryProduct`: `libabsl_log_initialize`
* `LibraryProduct`: `libabsl_log_internal_check_op`
* `LibraryProduct`: `libabsl_log_internal_conditions`
* `LibraryProduct`: `libabsl_log_internal_fnmatch`
* `LibraryProduct`: `libabsl_log_internal_format`
* `LibraryProduct`: `libabsl_log_internal_globals`
* `LibraryProduct`: `libabsl_log_internal_log_sink_set`
* `LibraryProduct`: `libabsl_log_internal_message`
* `LibraryProduct`: `libabsl_log_internal_nullguard`
* `LibraryProduct`: `libabsl_log_internal_proto`
* `LibraryProduct`: `libabsl_log_severity`
* `LibraryProduct`: `libabsl_log_sink`
* `LibraryProduct`: `libabsl_low_level_hash`
* `LibraryProduct`: `libabsl_malloc_internal`
* `LibraryProduct`: `libabsl_periodic_sampler`
* `LibraryProduct`: `libabsl_random_distributions`
* `LibraryProduct`: `libabsl_random_internal_distribution_test_util`
* `LibraryProduct`: `libabsl_random_internal_platform`
* `LibraryProduct`: `libabsl_random_internal_pool_urbg`
* `LibraryProduct`: `libabsl_random_internal_randen`
* `LibraryProduct`: `libabsl_random_internal_randen_hwaes`
* `LibraryProduct`: `libabsl_random_internal_randen_hwaes_impl`
* `LibraryProduct`: `libabsl_random_internal_randen_slow`
* `LibraryProduct`: `libabsl_random_internal_seed_material`
* `LibraryProduct`: `libabsl_random_seed_gen_exception`
* `LibraryProduct`: `libabsl_random_seed_sequences`
* `LibraryProduct`: `libabsl_raw_hash_set`
* `LibraryProduct`: `libabsl_raw_logging_internal`
* `LibraryProduct`: `libabsl_scoped_set_env`
* `LibraryProduct`: `libabsl_spinlock_wait`
* `LibraryProduct`: `libabsl_stacktrace`
* `LibraryProduct`: `libabsl_status`
* `LibraryProduct`: `libabsl_statusor`
* `LibraryProduct`: `libabsl_str_format_internal`
* `LibraryProduct`: `libabsl_strerror`
* `LibraryProduct`: `libabsl_string_view`
* `LibraryProduct`: `libabsl_strings`
* `LibraryProduct`: `libabsl_strings_internal`
* `LibraryProduct`: `libabsl_symbolize`
* `LibraryProduct`: `libabsl_synchronization`
* `LibraryProduct`: `libabsl_throw_delegate`
* `LibraryProduct`: `libabsl_time`
* `LibraryProduct`: `libabsl_time_zone`
* `LibraryProduct`: `libabsl_vlog_config_internal`
* `LibraryProduct`: `libprotobuf`
* `LibraryProduct`: `libprotobuf_lite`
* `LibraryProduct`: `libprotoc`
* `ExecutableProduct`: `protoc`
